summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexandre Rostovtsev <tetromino@gentoo.org>2015-08-23 18:04:44 -0400
committerAlexandre Rostovtsev <tetromino@gentoo.org>2015-08-23 18:07:26 -0400
commit9d3858da72879dbb8550bc09f99787e6d33f4815 (patch)
tree414bf522a7a74c75aea55108f5c7ce1e7cd01708 /eclass/gnome2-utils.eclass
parentx11-misc/wmakerconf: fix libX11 link and .desktop file (diff)
downloadgentoo-9d3858da72879dbb8550bc09f99787e6d33f4815.tar.gz
gentoo-9d3858da72879dbb8550bc09f99787e6d33f4815.tar.bz2
gentoo-9d3858da72879dbb8550bc09f99787e6d33f4815.zip
eclass: fix gnome2_query_immodules_gtk{2,3} when ROOT != "/"
Thanks-to: Risimi Gentoo-Bug: 558506
Diffstat (limited to 'eclass/gnome2-utils.eclass')
-rw-r--r--eclass/gnome2-utils.eclass10
1 files changed, 8 insertions, 2 deletions
diff --git a/eclass/gnome2-utils.eclass b/eclass/gnome2-utils.eclass
index 7d3fc386ce0..476fb288237 100644
--- a/eclass/gnome2-utils.eclass
+++ b/eclass/gnome2-utils.eclass
@@ -447,7 +447,10 @@ gnome2_query_immodules_gtk2() {
local updater=${EPREFIX}/usr/bin/${CHOST}-gtk-query-immodules-2.0
[[ ! -x ${updater} ]] && updater=${EPREFIX}/usr/bin/gtk-query-immodules-2.0
- "${updater}" --update-cache
+ ebegin "Updating gtk2 input method module cache"
+ GTK_IM_MODULE_FILE="${EROOT}usr/$(get_libdir)/gtk-2.0/2.10.0/immodules.cache" \
+ "${updater}" --update-cache
+ eend $?
}
# @FUNCTION: gnome2_query_immodules_gtk3
@@ -458,7 +461,10 @@ gnome2_query_immodules_gtk3() {
local updater=${EPREFIX}/usr/bin/${CHOST}-gtk-query-immodules-3.0
[[ ! -x ${updater} ]] && updater=${EPREFIX}/usr/bin/gtk-query-immodules-3.0
- "${updater}" --update-cache
+ ebegin "Updating gtk3 input method module cache"
+ GTK_IM_MODULE_FILE="${EROOT}usr/$(get_libdir)/gtk-3.0/3.0.0/immodules.cache" \
+ "${updater}" --update-cache
+ eend $?
}
# @FUNCTION: gnome2_disable_deprecation_warning